## com.thingmagic
Class Gen2.IDS.SL900A.LogState

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.LogState

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.LogState

extends java.lang.Object

Constructor Summary
`Gen2.IDS.SL900A.LogState(byte[] reply)`

Method Summary
`Gen2.IDS.SL900A.LimitCounter` `getLimitCount()`
`Gen2.IDS.SL900A.StatusFlags` `getStatFlags()`
`Gen2.IDS.SL900A.SystemStatus` `getSystemStat()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Gen2.IDS.SL900A.LogState

    public Gen2.IDS.SL900A.LogState(byte[] reply)

Method Detail

### getLimitCount

    public Gen2.IDS.SL900A.LimitCounter getLimitCount()

### getSystemStat

    public Gen2.IDS.SL900A.SystemStatus getSystemStat()

### getStatFlags

    public Gen2.IDS.SL900A.StatusFlags getStatFlags()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`